Package com.avaya.clientservices.provider.unifiedportal

## Class UnifiedPortalConfiguration

- java.lang.Object
- - com.avaya.clientservices.provider.unifiedportal.UnifiedPortalConfiguration

-     public class UnifiedPortalConfiguration
      extends java.lang.Object

  User Configuration information for unified portal. This class provides the configuration data that allows a connection and access to be made to an unified portal server.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UnifiedPortalConfiguration()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.List<AuthenticationMethod>` | `getAuthenticationPreferences()` | Get the priority of `AuthenticationMethod` used for provider.
    `CredentialProvider` | `getCredentialProvider()` | Returns CredentialProvider value representing the object that provides the credentials.
    `java.lang.String` | `getMeetMeMinPortalVersion()` | Get the minimum portal version to support Meet-Me conference calls.
    `java.lang.String` | `getServerURL()` | Get URL of the server to connect with.
    `void` | `setAuthenticationMethodPreferences​(java.util.List<AuthenticationMethod> authenticationMethodPreferences)` | Set priorities of `AuthenticationMethod` to be used for provider.
    `void` | `setCredentialProvider​(CredentialProvider credentialProvider)` | Set the ICredentialProvider value representing the object that provides the credentials.
    `void` | `setMeetMeMinPortalVersion​(java.lang.String meetMeMinPortalVersion)` | Sets the minimum portal version to support Meet-Me conference calls.
    `void` | `setServerURL​(java.lang.String serverURL)` | Set URL of the server to connect with.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnifiedPortalConfiguration

          public UnifiedPortalConfiguration()

  - ### Method Detail

    - #### getCredentialProvider

          public CredentialProvider getCredentialProvider()

      Returns CredentialProvider value representing the object that provides the credentials.
      Returns:
        CredentialProvider value representing the object that provides the credentials.

    - #### setCredentialProvider

          public void setCredentialProvider​(CredentialProvider credentialProvider)

      Set the ICredentialProvider value representing the object that provides the credentials.
      Parameters:
        `credentialProvider` - ICredentialProvider value representing the object that provides the credentials.

    - #### getServerURL

          public java.lang.String getServerURL()

      Get URL of the server to connect with.
      Returns:
        URL of the server to connect with.

    - #### setServerURL

          public void setServerURL​(java.lang.String serverURL)

      Set URL of the server to connect with.
      Parameters:
        `serverURL` - URL of the server to connect with.

    - #### getMeetMeMinPortalVersion

          public java.lang.String getMeetMeMinPortalVersion()

      Get the minimum portal version to support Meet-Me conference calls.
      Returns:
        The minimum portal version to support Meet-Me conference calls.

    - #### setMeetMeMinPortalVersion

          public void setMeetMeMinPortalVersion​(java.lang.String meetMeMinPortalVersion)

      Sets the minimum portal version to support Meet-Me conference calls.
      Parameters:
        `meetMeMinPortalVersion` - the minimum portal version to support Meet-Me conference calls.

    - #### setAuthenticationMethodPreferences

          public void setAuthenticationMethodPreferences​(java.util.List<AuthenticationMethod> authenticationMethodPreferences)

      Set priorities of `AuthenticationMethod` to be used for provider.
      Parameters:
        `authenticationMethodPreferences` - Authentication method preferences list.

    - #### getAuthenticationPreferences

          public java.util.List<AuthenticationMethod> getAuthenticationPreferences()

      Get the priority of `AuthenticationMethod` used for provider.
      Returns:
        List of authentication methods priorities used.